net.dontdrinkandroot.lastfm.api.model.xspf

## Class XspfTrack

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.xspf.XspfTrack

    public class XspfTrack
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XspfTrack(Element trackElement)`

### Method Summary

Methods
`String` `getAlbum()`
`String` `getCreator()`
`Integer` `getDuration()`
`URI` `getIdentifier()`
`URI` `getImage()`
`List<URI>` `getLocations()`
`String` `getTitle()`
`void` `setAlbum(String album)`
`void` `setCreator(String creator)`
`void` `setDuration(Integer duration)`
`void` `setIdentifier(URI identifier)`
`void` `setImage(URI image)`
`void` `setLocations(List<URI> locations)`
`void` `setTitle(String title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XspfTrack

    public XspfTrack(Element trackElement)

### Method Detail

#### getLocations

    public final List<URI> getLocations()

#### setLocations

    public void setLocations(List<URI> locations)

#### getTitle

    public String getTitle()

#### setTitle

    public void setTitle(String title)

#### getAlbum

    public String getAlbum()

#### getCreator

    public String getCreator()

#### getDuration

    public Integer getDuration()

#### getIdentifier

    public URI getIdentifier()

#### getImage

    public URI getImage()

#### setAlbum

    public void setAlbum(String album)

#### setCreator

    public void setCreator(String creator)

#### setDuration

    public void setDuration(Integer duration)

#### setIdentifier

    public void setIdentifier(URI identifier)

#### setImage

    public void setImage(URI image)